Class | RubyToken::Token
In: | rdoc/parsers/parse_rb.rb
Parent: | Object

### Methods

new set_text

### Constants

NO_TEXT | = | "??".freeze

### Attributes

char_no | [R] |
line_no | [R] |
text | [R] |
text | [R] |

### Public Class methods

new(line_no, char_no)

[Source]

    # File rdoc/parsers/parse_rb.rb, line 44
        def initialize(line_no, char_no)
          @line_no = line_no
          @char_no = char_no
          @text    = NO_TEXT
        end

### Public Instance methods

set_text(text)

Because we’re used in contexts that expect to return a token, we set the text string and then return ourselves

[Source]

    # File rdoc/parsers/parse_rb.rb, line 52
        def set_text(text)
          @text = text
          self
        end

[Validate]